Page MenuHomePhabricator

Logo: add nolink attribute
Closed, ResolvedPublic

Description

When the 'nolink' attribute is specified in the layout xml file, the logo should be just a normal image instead of a link to the wiki main page.

To ensure consistent styling it might make sense to just drop the 'href' attribute instead of removing the <a> completely. (Would this then still be valid HTML?)


Version: unspecified
Severity: enhancement

Details

Reference
bz66859

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:26 AM
bzimport set Reference to bz66859.
Foxtrott created this task.Jun 19 2014, 8:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 12:43 PM
Haritha28 set Security to None.

I couldnt find any <a href >attribute there in the xml files. Can someone help me out ?

@Haritha28: This issue has been assigned to you a while ago.
Could you please share a status update? Are you still working (or still plan to work) on this issue? Is there anything that others could help with?
Only in case you do not plan to work on this issue anymore, should you be removed as assignee (via 'Reassign / Claim' in the 'Action' dropdown menu)?
Thanks for contributing to Wikimedia!

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 7:06 PM
Aklapper removed Haritha28 as the assignee of this task.Dec 13 2015, 2:53 PM

No feedback to last comment hence unassigning.

Foxtrott triaged this task as Low priority.Feb 8 2016, 9:34 PM
Foxtrott moved this task from Backlog to Enhancements on the Chameleon board.

Change 282647 had a related patch set uploaded (by Aashaka):
Logo: add addLink attribute to Logo component

https://gerrit.wikimedia.org/r/282647

Aashaka claimed this task.Apr 11 2016, 3:36 AM
Aashaka added a subscriber: Aashaka.

Change 282647 merged by jenkins-bot:
Logo: add addLink attribute to Logo component

https://gerrit.wikimedia.org/r/282647

Foxtrott closed this task as Resolved.Apr 17 2016, 2:23 PM